Bug 980620 - clearpart --linux does not clear biosboot partition
clearpart --linux does not clear biosboot partition
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 17:03 EDT by Orion Poplawski
Modified: 2014-02-28 10:54 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-28 10:54:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.storage.log (206.99 KB, text/plain)
2013-07-03 11:43 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2013-07-02 17:03:52 EDT
Description of problem:

I generally re-install linux with the following kickstart partitioning commands:

clearpart --linux --drives=sda
part biosboot --fstype=biosboot --size=1
part / --size=12000 --grow
part swap --recommended
zerombr
bootloader --location=mbr

This results in a new biosboot partition added for each reinstall.  How can I avoid this?

Version-Release number of selected component (if applicable):
19.30.13-1
Comment 1 David Lehman 2013-07-03 10:49:08 EDT
It would help diagnose the problem if you attached /tmp/storage.log.
Comment 2 Orion Poplawski 2013-07-03 11:43:33 EDT
Created attachment 768301 [details]
anaconda.storage.log

Here you go.  This guy now has a lot:

# fdisk -l /dev/sda

Disk /dev/sda: 128.0 GB, 128035676160 bytes, 250069680 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk label type: dos
Disk identifier: 0x000b11c3

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1            2048        4095        1024   83  Linux
/dev/sda2            4096        6143        1024   83  Linux
/dev/sda3            6144        8191        1024   83  Linux
/dev/sda4            8192   250069679   125030744    5  Extended
/dev/sda5           10240       12287        1024   83  Linux
/dev/sda6           14336       16383        1024   83  Linux
/dev/sda7           18432       20479        1024   83  Linux
/dev/sda8           22528       24575        1024   83  Linux
/dev/sda9           26624       28671        1024   83  Linux
/dev/sda10          30720       32767        1024   83  Linux
/dev/sda11          34816       36863        1024   83  Linux
/dev/sda12          38912       40959        1024   83  Linux
/dev/sda13          43008       45055        1024   83  Linux
/dev/sda14          47104     8206335     4079616   82  Linux swap / Solaris
/dev/sda15  *     8208384   250068991   120930304   83  Linux
Comment 3 Fedora End Of Life 2013-09-16 10:22:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 David Shea 2014-02-28 10:54:40 EST
That's because biosboot isn't really a linux partition. Either clear the old partition or  use --onpart=/dev/sda<number> to reuse the existing one.

Note You need to log in before you can comment on or make changes to this bug.